Skip to main content
PUT
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
terminals
/
{terminal_id}
Update Terminal
curl --request PUT \
  --url https://api.dintero.com/v1/accounts/{aid}/terminals/{terminal_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_model": "SATURN1000",
  "store_id": "<string>"
}
'
{
  "terminal_id": "T12233302-T0001",
  "device_serial_number": "123456789012",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "device_model": "<string>",
  "store_id": "<string>",
  "status": "DELETED"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
terminal_id
string
required

terminal id

Maximum string length: 255

Body

application/json
device_model
enum<string>
Available options:
SATURN1000,
Saturn_S1F4_Pro,
S1P2
store_id
string

Response

Terminal

terminal_id
string
required
Example:

"T12233302-T0001"

device_serial_number
string
required
Example:

"123456789012"

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
device_model
string
store_id
string
status
enum<string>
read-only

The status of the terminal

Available options:
DELETED,
ACTIVE,
INACTIVE